/*   Copyright (C) 2011,2012,2013,2014,2015,2016,2017 John Kula */

/*
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    All trademarks and service marks contained within this document are
    property of their respective owners.

    Version 2017.09.24

    Updates may be found at: http:\\www.darkwavetech.com

*/
/*jslint browser:true */
/* This function outputs a list of navigator properties and values of the client's browser */

function fp_nav() {
    "use strict";

    var strOnError, strKey, Value, strValue, strTmp, strOut;

    strOnError = "Error";
    strKey = "";
    Value = "";
    strValue = "";
    strTmp = "";
    strOut = "";

    try {
        for (strKey in navigator) {
            Value = navigator[strKey];
            if (Value === null || (typeof Value !== "function" && typeof Value !== "object")) {
                strValue = String(Value);
                if (strValue === "null") {
                    strValue = "NULL";
                }
                if (strValue === "") {
                    strValue = "_";
                }
                strTmp = strTmp + strKey + "=" + strValue + "|";
            }
        }
        strOut = strTmp.slice(0, strTmp.length - 1);
        return strOut;
    } catch (err) {
        return strOnError;
    }
}